% install_my_library.m
function install_my_library()
    libDir = fileparts(mfilename('fullpath'));

    % Путь к файлу-флагу, указывающему, что установка уже была
    flagFile = fullfile(libDir, '.library_installed.mat');

    % Если библиотека уже установлена — просто выходим
    if isfile(flagFile)
        return;
    end

    % 1. Добавляем библиотеку и m-файлы в путь
    addpath(fullfile(libDir, 'lib'));
    addpath(fullfile(libDir, 'm'));
    savepath;

    % 2. Обновляем Library Browser
    rehash;
    sl_refresh_customizations;

    % 3. Сохраняем флаг установки
    installedOn = datetime('now');
    save(flagFile, 'installedOn');
end
